<?php

namespace Planaday\Config\Booking\Form\Company\Invoice;

use Planaday\Config\Booking\Form\Company\CompanyOptionsEnum;
use Planaday\Config\OptionGroupEnum;

enum InvoiceOptionsEnum: string implements OptionGroupEnum {
	case ASK_FOR_ADDRESS = 'ASK_FOR_ADDRESS';
	case ASK_FOR_EMAIL = 'ASK_FOR_EMAIL';
	case EMAIL_REQUIRED = 'EMAIL_REQUIRED';

	public static function getClassName(): string {
		return InvoiceSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return CompanyOptionsEnum::INVOICE;
	}
}